Bug 115129 - Tree nodes containing the commands in the customization dialog should open on single click
Summary: Tree nodes containing the commands in the customization dialog should open on...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Jim Raykowski
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: Customize-Dialog
  Show dependency treegraph
 
Reported: 2018-01-20 23:07 UTC by Heiko Tietze
Modified: 2018-01-25 16:59 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2018-01-20 23:07:26 UTC
Right now it opens on double click, which usually executes the default action (add in case of the customization). 
Reference: https://msdn.microsoft.com/en-us/library/windows/desktop/dn742445(v=vs.85).aspx
Discussion: https://gerrit.libreoffice.org/#/c/48227/
Comment 1 Yousuf Philips (jay) (retired) 2018-01-21 09:02:13 UTC
If you click on the plus icon, it should expand with single click, but if you click on the label, it should expand with double click, just like the options dialog's tree.
Comment 2 Jim Raykowski 2018-01-22 05:52:02 UTC
Is it ok for me to take this one?
Comment 3 Muhammet Kara 2018-01-22 06:16:43 UTC
(In reply to Jim Raykowski from comment #2)
> Is it ok for me to take this one?

By all means. And please don't forget to add me to your patch on gerrit. ;)
Comment 4 Jim Raykowski 2018-01-22 07:00:38 UTC
link to patch:
https://gerrit.libreoffice.org/#/c/48290/
Comment 5 Muhammet Kara 2018-01-22 11:39:21 UTC
(In reply to Heiko Tietze from comment #0)
> Right now it opens on double click, which usually executes the default
> action (add in case of the customization). 
> Reference:
> https://msdn.microsoft.com/en-us/library/windows/desktop/dn742445(v=vs.85).
> aspx
> Discussion: https://gerrit.libreoffice.org/#/c/48227/

(In reply to Yousuf Philips (jay) from comment #1)
> If you click on the plus icon, it should expand with single click, but if
> you click on the label, it should expand with double click, just like the
> options dialog's tree.

Currently the tree nodes expand/colapse on double-click, and I think this behavior should be preserved. A non-leaf node of a tree cannot be added to any toolbar or menu, thus any other action would not make sense.

But for the leaf nodes, it sounds like a good idea to add an "add" action on double-click. (In a separate patch, outside this bug report's scope.)
Comment 6 Yousuf Philips (jay) (retired) 2018-01-22 18:47:36 UTC
(In reply to Muhammet Kara from comment #5)
> But for the leaf nodes, it sounds like a good idea to add an "add" action on
> double-click. (In a separate patch, outside this bug report's scope.)

If double-click on a node does the "add" action, then it is likely the same should happen with the non-tree commands list to also do the same, so there is consistency.
Comment 7 Jim Raykowski 2018-01-23 05:57:04 UTC
I have a patch ready for add function on double click discussed here. Has a separate bug report been filed for it?
Comment 8 Heiko Tietze 2018-01-23 08:53:02 UTC
(In reply to Jim Raykowski from comment #7)
> I have a patch ready for add function on double click discussed here. Has a
> separate bug report been filed for it?

Not to my knowledge, just reference this ticket.
Comment 9 Muhammet Kara 2018-01-23 12:58:08 UTC
(In reply to Yousuf Philips (jay) from comment #6)
> (In reply to Muhammet Kara from comment #5)
> > But for the leaf nodes, it sounds like a good idea to add an "add" action on
> > double-click. (In a separate patch, outside this bug report's scope.)
> 
> If double-click on a node does the "add" action, then it is likely the same
> should happen with the non-tree commands list to also do the same, so there
> is consistency.

Of course. That was what I had in mind. Sorry for the confusion.

(In reply to Jim Raykowski from comment #7)
> I have a patch ready for add function on double click discussed here. Has a
> separate bug report been filed for it?

And it would be best if you rebase (to get the latest changes, to avoid merge conflicts) before submitting the patch. ;)
Comment 10 Commit Notification 2018-01-24 15:03:04 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bf5739d70d2d4ae258592c3fd19ac18d8767c51a

tdf#115129 change customize function tree expand collapse behavior

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2018-01-25 13:50:51 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1c1c50e12cc33df7c158badfc6b08c2ef9bb38a5

tdf#115129 Add function on double click in Customize Dialog

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.